swConservativeTemperature {oce} | R Documentation

## Seawater conservative temperature, in GSW formulation

### Description

Compute seawater conservative temperature, according to the GSW/TEOS-10 formulation.

### Usage

    swConservativeTemperature(salinity, temperature=NULL, pressure=NULL,
        longitude=300, latitude=30)

### Arguments

`salinity` | either practial salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object (in which case `salinity`, etc. are inferred from the object).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar]
`longitude` | longitude of observation.
`latitude` | latitude of observation.

### Details

If the first argument is an `oce` object, then values for salinity, etc., are extracted from it, and used for the calculation, and the corresponding arguments to the present function are ignored.

The conservative temperature is calculated using the TEOS-10 function `gsw_CT_from_t` from the gsw package.

### Value

Conservative temperature in degrees Celcius.

### Author(s)

Dan Kelley

### References

McDougall, T.J. and P.M. Barker, 2011: Getting started with TEOS-10 and the Gibbs Seawater (GSW) Oceanographic Toolbox, 28pp., SCOR/IAPSO WG127, ISBN 978-0-646-55621-5.

### See Also

The related TEOS-10 quantity “absolute salinity” may be computed with `swAbsoluteSalinity`. For a ctd object, conservative temperature may also be recovered by indexing as e.g. `ctd[["conservativeTemperature"]]` or `ctd[["CT"]]`.

### Examples

    swConservativeTemperature(35,10,1000,188,4) # 9.86883

[Package oce version 0.9-18 Index]